pre-commit:
  parallel: false
  commands:
    eslint:
      files: git diff --staged --name-only
      glob: '**/src/*.ts'
      run: npx eslint {files}
    prettier-fix:
      files: git diff --staged --name-only
      glob: '**/src/*.ts'
      run: npx prettier --write {files}
      stage_fixed: true
pre-push:
  typescript-compiles:
    glob: '**/src/*.ts'
    run: npm run compile
